summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorCarl Worth <cworth@cworth.org>2005-02-19 15:39:43 +0000
committerCarl Worth <cworth@cworth.org>2005-02-19 15:39:43 +0000
commit7d5009d46a5d885f78e4c3a523e4411bcd16a9c2 (patch)
tree85e6f92e063ba26503dda4f07c722a1b50cbe0c9 /autogen.sh
parenta7555392f895c60edd22479619dfc340caed41f1 (diff)
Add this file which was in the original tar file, so that autogen.sh works
again, (the file sure looked auto-generated to me...).
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh138
1 files changed, 126 insertions, 12 deletions
diff --git a/autogen.sh b/autogen.sh
index 57c6660..f834cfe 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,23 +1,137 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
+set -e
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+PACKAGE=cairo
-if test -z "$GNOME2_DIR" ; then
- GNOME_COMMON_DATADIR="/usr/share"
+LIBTOOLIZE=${LIBTOOLIZE-libtoolize}
+LIBTOOLIZE_FLAGS="--copy --force"
+ACLOCAL=${ACLOCAL-aclocal}
+AUTOHEADER=${AUTOHEADER-autoheader}
+AUTOMAKE=${AUTOMAKE-automake}
+AUTOMAKE_FLAGS="--add-missing"
+AUTOCONF=${AUTOCONF-autoconf}
+
+# automake 1.8 requires autoconf 2.58
+# automake 1.7 requires autoconf 2.54
+# I don't know what automake 1.4 wants, but the following seems to work...
+automake_min_vers=1.4
+aclocal_min_vers=$automake_min_vers
+autoconf_min_vers=2.54
+libtoolize_min_vers=1.4
+
+# The awk-based string->number conversion we use needs a C locale to work as expected.
+LANG=C
+LC_NUMERIC=C
+
+ARGV0=$0
+
+if ($AUTOCONF --version) < /dev/null > /dev/null 2>&1 ; then
+ if ($AUTOCONF --version | head -n 1 | awk 'NR==1 { if( $(NF) >= '$autoconf_min_vers') \
+ exit 1; exit 0; }');
+ then
+ echo "$ARGV0: ERROR: \`$AUTOCONF' is too old."
+ $AUTOCONF --version
+ echo " (version $autoconf_min_vers or newer is required)"
+ DIE="yes"
+ fi
+else
+ echo $AUTOCONF: command not found
+ echo
+ echo "$ARGV0: ERROR: You must have \`autoconf' installed to compile $PACKAGE."
+ echo " (version $autoconf_min_vers or newer is required)"
+ DIE="yes"
+fi
+
+if ($AUTOMAKE --version) < /dev/null > /dev/null 2>&1 ; then
+ if ($AUTOMAKE --version | head -n 1 | awk 'NR==1 { if( $(NF) >= '$automake_min_vers') \
+ exit 1; exit 0; }');
+ then
+ echo "$ARGV0: ERROR: \`$AUTOMAKE' is too old."
+ $AUTOMAKE --version
+ echo " (version $automake_min_vers or newer is required)"
+ DIE="yes"
+ fi
+ if ($ACLOCAL --version) < /dev/null > /dev/null 2>&1; then
+ if ($ACLOCAL --version | head -n 1 | awk 'NR==1 { if( $(NF) >= '$aclocal_min_vers' ) \
+ exit 1; exit 0; }' );
+ then
+ echo "$ARGV0: ERROR: \`$ACLOCAL' is too old."
+ $ACLOCAL --version
+ echo " (version $aclocal_min_vers or newer is required)"
+ DIE="yes"
+ fi
+ else
+ echo $ACLOCAL: command not found
+ echo
+ echo "$ARGV0: ERROR: Missing \`$ACLOCAL'"
+ echo " The version of $AUTOMAKE installed doesn't appear recent enough."
+ DIE="yes"
+ fi
+else
+ echo $AUTOMAKE: command not found
+ echo
+ echo "$ARGV0: ERROR: You must have \`automake' installed to compile $PACKAGE."
+ echo " (version $automake_min_vers or newer is required)"
+ DIE="yes"
+fi
+
+if ($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 ; then
+ if ($LIBTOOLIZE --version | awk 'NR==1 { if( $4 >= '$libtoolize_min_vers') \
+ exit 1; exit 0; }');
+ then
+ echo "$ARGV0: ERROR: \`$LIBTOOLIZE' is too old."
+ echo " (version $libtoolize_min_vers or newer is required)"
+ DIE="yes"
+ fi
else
- GNOME_COMMON_DATADIR="$GNOME2_DIR/share"
+ echo $LIBTOOLIZE: command not found
+ echo
+ echo "$ARGV0: ERROR: You must have \`libtoolize' installed to compile $PACKAGE."
+ echo " (version $libtoolize_min_vers or newer is required)"
+ DIE="yes"
fi
-GNOME_COMMON_MACROS_DIR="macros"
+if test -z "$ACLOCAL_FLAGS"; then
+ acdir=`aclocal --print-ac-dir`
+ if [ ! -f $acdir/pkg.m4 ]; then
+ echo "$ARGV0: Error: Could not find pkg-config macros."
+ echo " (Looked in $acdir/pkg.m4)"
+ echo " If pkg.m4 is available in /another/directory, please set"
+ echo " ACLOCAL_FLAGS=\"-I /another/directory\""
+ echo " Otherwise, please install pkg-config."
+ echo ""
+ echo "pkg-config is available from:"
+ echo "http://www.freedesktop.org/software/pkgconfig/"
+ DIE=yes
+ fi
+fi
+
+if test "X$DIE" != X; then
+ exit 1
+fi
+
+
+if test -z "$*"; then
+ echo "$ARGV0: Note: \`./configure' will be run with no arguments."
+ echo " If you wish to pass any to it, please specify them on the"
+ echo " \`$0' command line."
+ echo
+fi
+
+do_cmd() {
+ echo "$ARGV0: running \`$@'"
+ $@
+}
+
+do_cmd $LIBTOOLIZE $LIBTOOLIZE_FLAGS
+
+do_cmd $ACLOCAL $ACLOCAL_FLAGS
-export GNOME_COMMON_DATADIR
-export GNOME_COMMON_MACROS_DIR
+do_cmd $AUTOHEADER
-ACLOCAL_FLAGS="-I $GNOME_COMMON_MACROS_DIR $ACLOCAL_FLAGS"
-export ACLOCAL_FLAGS
+do_cmd $AUTOMAKE $AUTOMAKE_FLAGS
-PKG_NAME="the package"
+do_cmd $AUTOCONF
-. $srcdir/$GNOME_COMMON_MACROS_DIR/autogen.sh
+do_cmd ./configure --enable-maintainer-mode --enable-gtk-doc ${1+"$@"} && echo "Now type \`make' to compile" || exit 1